### Hierarchy

- Translate
  - TranslateService

## Index

### Constructors

- constructor

### Properties

- defaultLanguage
- i18n
- language
- supportedLanguages
- t
- translations

### Methods

- get
- instant
- use

## Constructors

### constructor

- new Translate(): Translate

- - Defined in translate/translate.ts:13

  #### Returns Translate

## Properties

### defaultLanguage

defaultLanguage: string = "en-US"

- Defined in translate/translate.ts:8

### i18n

i18n: object = i18n

- Defined in translate/translate.ts:6

#### Type declaration

- ##### en: object

  - ##### ADD: string

  - ##### ADDRESS: string

  - ##### ADMIN: string

  - ##### APPLICATION: string

  - ##### CANCEL: string

  - ##### CHANGE LANGUAGE: string

  - ##### CLOSE: string

  - ##### CONFIRM: string

  - ##### CONFIRM WARNING: string

  - ##### CONTACT: string

  - ##### CREATE: string

  - ##### CURRENT: string

  - ##### DATA: string

  - ##### DATE: string

  - ##### DELETE: string

  - ##### DELETE CONFIRM: string

  - ##### DELETE CONFIRM MULTIPLE: string

  - ##### DETAIL: string

  - ##### DETAILS: string

  - ##### EDIT: string

  - ##### EMAIL: string

  - ##### EMAIL ADDRESS: string

  - ##### EMAIL ERROR: string

  - ##### ERROR: string

  - ##### FIELD: string

  - ##### FIELD REQUIRED: string

  - ##### FORM INVALID: string

  - ##### FORM SUCCESS: string

  - ##### HOME: string

  - ##### LOGIN: string

  - ##### LOGIN ERROR: string

  - ##### LOGIN EXPIRED: string

  - ##### LOGOUT: string

  - ##### NAME: string

  - ##### NAME ERROR: string

  - ##### NETWORK ERROR: string

  - ##### PASSWORD: string

  - ##### PASSWORD ERROR: string

  - ##### PASSWORD MATCH ERROR: string

  - ##### PASSWORD REQUIRED: string

  - ##### REMARKS: string

  - ##### REMEMBER: string

  - ##### REQUIRED: string

  - ##### SAVE: string

  - ##### SECTION: string

  - ##### SECTIONS: string

  - ##### SUBMIT: string

  - ##### USER: string

  - ##### USERNAME: string

  - ##### USERS: string

- ##### nl: object

  - ##### ADD: string

  - ##### ADDRESS: string

  - ##### ADMIN: string

  - ##### APPLICATION: string

  - ##### CANCEL: string

  - ##### CHANGE LANGUAGE: string

  - ##### CLOSE: string

  - ##### CONFIRM: string

  - ##### CONFIRM WARNING: string

  - ##### CONTACT: string

  - ##### CREATE: string

  - ##### CURRENT: string

  - ##### DATA: string

  - ##### DATE: string

  - ##### DELETE: string

  - ##### DELETE CONFIRM: string

  - ##### DELETE CONFIRM MULTIPLE: string

  - ##### DETAIL: string

  - ##### DETAILS: string

  - ##### EDIT: string

  - ##### EMAIL: string

  - ##### EMAIL ADDRESS: string

  - ##### EMAIL ERROR: string

  - ##### ERROR: string

  - ##### FIELD: string

  - ##### FIELD REQUIRED: string

  - ##### FORM INVALID: string

  - ##### FORM SUCCESS: string

  - ##### LOGIN: string

  - ##### LOGIN ERROR: string

  - ##### LOGIN EXPIRED: string

  - ##### LOGOUT: string

  - ##### NAME: string

  - ##### PASSWORD: string

  - ##### PASSWORD ERROR: string

  - ##### PASSWORD MATCH ERROR: string

  - ##### PASSWORD REQUIRED: string

  - ##### SUBMIT: string

  - ##### TITLE: string

  - ##### USERNAME: string

### language

language: string

- Defined in translate/translate.ts:7

### supportedLanguages

supportedLanguages: string[] = ['en-US','nl-NL']

- Defined in translate/translate.ts:9

### t

t: object

- Defined in translate/translate.ts:5

#### Type declaration

### translations

translations: object

- Defined in translate/translate.ts:13

#### Type declaration

## Methods

### get

- get(string: string): string

- - Defined in translate/translate.ts:35

  #### Parameters

  - ##### string: string

  #### Returns string

### instant

- instant(string: string): string

- - Defined in translate/translate.ts:39

  #### Parameters

  - ##### string: string

  #### Returns string

### use

- use(language: string): void

- - Defined in translate/translate.ts:27

  #### Parameters

  - ##### language: string

  #### Returns void